Search Results for

Show / Hide Table of Contents

# Class SelectedItemChangedArgs

Event arguments for the SelectedItemChagned event.

##### Inheritance

System.Object
System.EventArgs
SelectedItemChangedArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class SelectedItemChangedArgs : EventArgs

### Constructors

#### SelectedItemChangedArgs(Int32, Int32)

Initializes a new SelectedItemChangedArgs class.

##### Declaration

    public SelectedItemChangedArgs(int selectedItem, int previousSelectedItem)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | selectedItem |
System.Int32 | previousSelectedItem |

### Properties

#### PreviousSelectedItem

Gets the index of the item that was previously selected. -1 if there was no previous selection.

##### Declaration

    public int PreviousSelectedItem { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### SelectedItem

Gets the index of the item that is now selected. -1 if there is no selection.

##### Declaration

    public int SelectedItem { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |